groovy-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Zack Bartel <z...@bartel.com>
Subject Upgrading to 2.4.x causes errors in GroovyTestCases with error: "Type is null. Most probably you let a transform reuse existing ClassNodes with generics information, that is now used in a wrong context"
Date Tue, 01 Sep 2015 18:42:10 GMT
Hello, 
I have updated my project from 2.3.9 to 2.4.4 and am getting the following error when trying
to run my tests.
http://pastebin.com/9G3x6eFc <http://pastebin.com/9G3x6eFc>
The application itself compiles fine, its just the tests.
The code it is testing is annotated with @CompileStatic.
I’ve tried to reproduce the problem in a standalone project but can’t seem to narrow it
down to the problem. I notice this error is only present in the “Java5.java” class 
https://github.com/groovy/groovy-core/blob/master/src/main/org/codehaus/groovy/vmplugin/v5/Java5.java#L125
<https://github.com/groovy/groovy-core/blob/master/src/main/org/codehaus/groovy/vmplugin/v5/Java5.java#L125>
Is there something that is using the Java5 class rather than something that corresponds to
Java 8?



Java 1.8.0_25
Gradle 2.5 and 2.6
Groovy 2.4.1 2.4.2 2.4.3 2.4.4
Junit: 4.12

Thank you for any help you can provide, it is very much appreciated,
Zack
Mime
View raw message